using DataSharing.Share.Dtos.Province.HuiJu;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class SubmitCaseRecordInfoValidator : AbstractValidator<SubmitCaseRecordInfo>
    {
        public SubmitCaseRecordInfoValidator()
        {
            RuleFor(d => d.AreaCode).NotEmpty();
            //RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.PhoneNumber).NotEmpty();
            RuleFor(d => d.PhoneStatus).NotEmpty();
            RuleFor(d => d.IsPhoneCall).NotEmpty();
            RuleFor(d => d.InIvr).NotEmpty();
        }
    }
}
